For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DocsAPI ReferenceChangelog
DocsAPI ReferenceChangelog
  • REST
    • Authentication
    • Platform
          • GETRetrieves a list of transformers for a database
          • POSTAdd a new transformer to a database
          • DELDeletes the transformer
          • PUTUpdate a transformer in a database
          • PUTUpdate a transformer's sort order in a database
    • Event-Driven Sync (EDRTS)
    • Content
    • FeedAMP Order
    • FeedAMP Order V2
    • FeedAMP Order Source
LogoLogo
RESTPlatformTransformers

Add a new transformer to a database

POST
https://meta.feedonomics.com/api.php/dbs/:db_id/transformers
POST
/api.php/dbs/:db_id/transformers
$curl -X POST https://meta.feedonomics.com/api.php/dbs/1/transformers \
> -H "x-api-key: x-api-key" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "enabled": true,
> "field_name": "availability",
> "selector": "true",
> "transformer": "nohtml( [availability] )",
> "export_id": [
> 0
> ]
>}'
200Successful
1{
2 "id": "40",
3 "db_id": "136",
4 "export_id": "0",
5 "field_name": "availability",
6 "sort_order": "0",
7 "selector": "true",
8 "transformer": "nohtml( [availability] )",
9 "exports": "json data",
10 "enabled": "1",
11 "created_at": "2021-11-15 19:28:05"
12}
Was this page helpful?
Previous

Retrieves a list of transformers for a database

Next

Deletes the transformer

Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

db_idintegerRequired
ID of the database

Headers

x-api-keystringRequired

Request

The database parameters
enabledbooleanOptional
Whether the transformer is executed
field_namestringOptional
The name of the field to transform
selectorstringOptional

The transformer selector (‘if’)

transformerstringOptional

The transformer output (‘then’)

export_idlist of integersOptional

The export ID to apply the transformer to (empty if all)

Response headers

Content-Typestring

Response

successful operation